state_pause = newState()

local menu

function state_pause.load()
  menu = newMenu(g_font, 2, {textcolor = {1,1,1}, buttoncolor = {50/255, 50/255, 220/255, 70/100}, roundx = 2, roundy = 2})
  menu.addButton('Resume', screen.width / 2, 80, function() state_machine.pop() end)
  menu.addButton('Quit', screen.width / 2, 145, function() state_machine.change(state_title) end)
  menu.selected_index = 1
end

function state_pause.draw()
  menu.draw()
end

function state_pause.keypressed(key)
  if key == 'return' then
    menu.button_press()
  elseif key == 'escape' then
    state_machine.pop()
  else
    menu.cycle_down()
  end
end

function state_pause.keyreleased(key)
  if key == 'return' then menu.button_release() end
end
